#
# spec file for package rubygem-cocaine
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-cocaine
Version:        0.6.0
Release:        lp150.1.4
%define mod_name cocaine
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/thoughtbot/cocaine
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A small library for doing (command) lines
License:        MIT
Group:          Development/Languages/Ruby

%description
A small library for doing (command) lines.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE NEWS.md README.md" \
  -f

%gem_packages

%changelog
* Thu Feb  8 2018 coolo@suse.com
- updated to version 0.6.0
  see installed NEWS.md
  New for 0.6.0:
  * Rename the project to Terrapin
  New for 0.5.8:
  * Improvement: Ensure that argument interpolations can be turned into Strings
  * Feature: Save STDOUT and STDERR for inspection when the command completes
  * Bug fix: Properly interpolate at the end of the line
* Sat Nov 21 2015 coolo@suse.com
- updated to version 0.5.8
  see installed NEWS.md
  New for 0.5.7:
  * Feature: Allow collection of both STDOUT and STDERR.
  * Improvement: Convert arguments to strings when possible
  New for 0.5.6:
  * Bug Fix: Java does not need to run commands with `env`
  * Bug Fix: Found out we were rescuing the wrong error
* Tue Mar  3 2015 coolo@suse.com
- updated to version 0.5.7
* Tue Feb 10 2015 coolo@suse.com
- updated to version 0.5.5
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Apr  6 2014 coolo@suse.com
- updated to version 0.5.4
  * Bug Fix: PosixRunner and ProcessRunner respect supplemental paths now.
* Fri Nov  1 2013 coolo@suse.com
- updated to version 0.5.3
  * SECURITY: Fix exploitable bug that could allow arbitrary command execution.
  See CVE-2013-4457 for more details. Thanks to Holger Just for report and fix!
  * Bug fix: Sub-word interpolations can be confused for the longer version
* Fri Oct  4 2013 coolo@suse.com
- updated to version 0.5.2
  * Improvement: Close all the IO objects!
  * Feature: Add an Runner that uses IO.popen, so JRuby can play
  * Improvement: Officially drop Ruby 1.8 support, add Ruby 2.0 support
  * Bug fix: Prevent a crash if no command was actually run
  * Improvement: Add security cautions to the README
* Sun Apr 14 2013 coolo@suse.com
- updated to version 0.5.1
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.4.2
  * Loggers that don't understand `tty?`, like `ActiveSupport::BufferedLogger`
  will still work.
  * Introduce FakeRunner for testing, so you don't really run commands.
  * Fix logging: output the actual command, not the un-interpolated pattern.
  * Prevent color codes from being output if log destination isn't a TTY.
  * Moved interpolation to the `run` method, instead of interpolating on `new`.
  * Remove official support for REE.
  * Fix a hang when processes wait for IO.
* Tue Oct  9 2012 coolo@suse.com
- updated to version 0.4.0
* Mon Oct  1 2012 coolo@suse.com
- updated to version 0.3.2
* Sun Sep 23 2012 coolo@suse.com
- updated to version 0.3.1
  * Made the `Runner` manually swappable, in case `ProcessRunner` doesn't work
  for some reason.
  * Fixed copyright years.
* Thu Aug 30 2012 coolo@suse.com
- updated to version 0.3.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.2.1
* Fri Dec  9 2011 jreidinger@suse.com
- initial commit, needed by paperclip
